## Delete Product

cURL

```
curl --request DELETE \
  --url https://api.m3ter.com/organizations/{orgId}/products/{id} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/products/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/products/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

### Responses

- **200**
- **4XX**
- **5XX**

```json
{
  "id": "<string>",
  "version": 123,
  "customFields": {},
  "name": "<string>",
  "code": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**  
Type: `string`  
Location: header  
Required

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

**Path Parameters**

- **orgId**: Required. The unique identifier (UUID) of your Organization.
- **id**: Required. The unique identifier (UUID) of the Product to delete.

### Response Details

- **200**: Returns the deleted Product

```json
{
  "message": "<string>"
}
```

```json
{
  "message": "<string>"
}
```
